---
# Author: Guillaume Mella
# Description: install Frantz Martinach material for EES17 school
#   created for EES17 tutorial https://hraetoile2017.sciencesconf.org/
# 
# Main information:   
#
#

# create main directory if not present
- name: "Create main install directories ( under {{ fmxx_install_dir }} )"
  file:
    path: "{{ item }}"
    state: directory
    mode: 0755
    owner: "{{ ansible_user }}"
  with_items:
    - "{{ fmxx_install_dir }}"
    - "{{ fmxx_install_dir }}/xaosim"
    - "{{ fmxx_install_dir }}/xara"


- name: "Install pre-requisites (apt packages)"
  apt: name={{ item }}
  with_items:
    - python-qt4
  
- name: "Install pre-requisites (PIP)"
  shell: pip install pyqtgraph



- name: "Retrieve git code of {{item}}"
  git: 
    repo: "https://github.com/fmartinache/{{ item }}.git" 
    dest: "{{ fmxx_install_dir }}/{{item}}"
  with_items:
    - xara
    - xaosim
  become: no

- name: "Install {{item}}"
  shell: python setup.py install --user 
  args:
    chdir: "{{ fmxx_install_dir }}/{{ item }}"
  with_items:
    - xara
    - xaosim
  become: no

# To test xara:
# $ cd xara/xara
# $ ipython --pylab
# >> execfile('try_nicmos.py')
#
# To test xaosim:
# python --pylab
# >> import xaosim as xs
# >> instru = xs.instrument('SCExAO')
# >> instru.start()
#
# in another terminal:
#   >> shmview /tmp/ircam.im.shm
#
#   to stop:
#     >> instru.close()
#     >> quit()
